summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGilles Dartiguelongue <eva@gentoo.org>2016-10-09 11:33:44 +0200
committerGilles Dartiguelongue <eva@gentoo.org>2016-10-09 12:23:05 +0200
commite5501924739b1aaf57ef42d40489a62750d21a9e (patch)
tree27631958e1f67be67271eba07b5c495c0b9e525c /x11-themes/vertex-icon-theme
parentx11-misc/xsel: Add live ebuild. (diff)
downloadgentoo-e5501924739b1aaf57ef42d40489a62750d21a9e.tar.gz
gentoo-e5501924739b1aaf57ef42d40489a62750d21a9e.tar.bz2
gentoo-e5501924739b1aaf57ef42d40489a62750d21a9e.zip
x11-themes/vertex-icon-theme: initial ebuild
Complements x11-themes/vertex-theme Gentoo-bug: 550732 Package-Manager: portage-2.3.1
Diffstat (limited to 'x11-themes/vertex-icon-theme')
-rw-r--r--x11-themes/vertex-icon-theme/Manifest1
-rw-r--r--x11-themes/vertex-icon-theme/metadata.xml8
-rw-r--r--x11-themes/vertex-icon-theme/vertex-icon-theme-20150506.ebuild60
3 files changed, 69 insertions, 0 deletions
diff --git a/x11-themes/vertex-icon-theme/Manifest b/x11-themes/vertex-icon-theme/Manifest
new file mode 100644
index 00000000000..bc1ce098a16
--- /dev/null
+++ b/x11-themes/vertex-icon-theme/Manifest
@@ -0,0 +1 @@
+DIST vertex-icon-theme-20150506.tar.gz 5578183 SHA256 ef297f04497efa4665e9bd53ced04177b24d7fa32c8422abe649ec0ea789524d SHA512 24176527f50eb2f23621d9dffe9829aba44507939a3ce67dad5480f4297d5004ddccc575b68e86ff9d6db1e5124b89832eff801fab95baf2ca30e305d8083324 WHIRLPOOL e3efffffbad93178a6a364d2615e1e102b0e43d1a80db711b83037f65ee404a49a6e1301acb2030542b0e405172c5638872690c14a23c99fd2f86df1d25673b2
diff --git a/x11-themes/vertex-icon-theme/metadata.xml b/x11-themes/vertex-icon-theme/metadata.xml
new file mode 100644
index 00000000000..4cbddcaa19a
--- /dev/null
+++ b/x11-themes/vertex-icon-theme/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>gnome@gentoo.org</email>
+ <name>Gentoo GNOME Desktop</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/x11-themes/vertex-icon-theme/vertex-icon-theme-20150506.ebuild b/x11-themes/vertex-icon-theme/vertex-icon-theme-20150506.ebuild
new file mode 100644
index 00000000000..5a2d76adb4b
--- /dev/null
+++ b/x11-themes/vertex-icon-theme/vertex-icon-theme-20150506.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit gnome2-utils
+
+MY_PN="vertex-icons"
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/horst3180/${MY_PN}"
+ SRC_URI=""
+ KEYWORDS=""
+else
+ EGIT_COMMIT="f27e47edf392596b7967b7d134d3c62ac3fda0c9"
+ SRC_URI="https://github.com/horst3180/${MY_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
+ S="${WORKDIR}/${MY_PN}-${EGIT_COMMIT}"
+fi
+
+DESCRIPTION="Vertex icon theme"
+HOMEPAGE="https://github.com/horst3180/vertex-icons"
+
+LICENSE="|| ( GPL-3 GPL-2 LGPL-3 CC-BY-SA-3.0 )"
+SLOT="0"
+IUSE=""
+
+RDEPEND="
+ >=x11-themes/hicolor-icon-theme-0.10
+"
+DEPEND=""
+
+# This ebuild does not install any binaries
+RESTRICT="binchecks strip"
+
+src_configure() { :; }
+
+src_compile() { :; }
+
+src_install() {
+ default
+ rm COPYING README.md || die
+
+ insinto /usr/share/icons/Vertex
+ doins -r *
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}